Bug 131763 - I18N - some attach wizard windows don't resize to show all contents
I18N - some attach wizard windows don't resize to show all contents
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
Sun All
: P2 (vote)
: 6.x
Assigned To: J Bachorik
issues@profiler
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-01 21:01 UTC by Ken Frank
Modified: 2008-10-06 17:53 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
image (29.08 KB, image/gif)
2008-04-01 21:06 UTC, Ken Frank
Details
image (32.40 KB, image/gif)
2008-04-01 21:07 UTC, Ken Frank
Details
image (27.22 KB, image/gif)
2008-04-01 21:07 UTC, Ken Frank
Details
image (31.67 KB, image/gif)
2008-04-01 21:07 UTC, Ken Frank
Details
image (1.61 MB, image/gif)
2008-09-09 20:45 UTC, Ken Frank
Details
image (158.73 KB, image/gif)
2008-09-09 20:46 UTC, Ken Frank
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ken Frank 2008-04-01 21:01:21 UTC
running on solaris, ja locale, using pseudo localized messages, and fonsize
14 which is a reasonable size; longer messages represent increase of message
length that can happen when english is translated.

some parts of some attach wizard panels do not resize themselves
to show all their contents; user should not need to resize and in
some cases, some missing parts were more serious like scrollbar or additional
labels that were not shown at all until resized.

see attached gifs - look for parts of some message or label that does not show
all (marked with ... at end of text sometimes)
or window that does not show sbar or other labels at all - compare with
these windows when you run in en locale at default font.
Comment 1 Ken Frank 2008-04-01 21:06:21 UTC
Created attachment 59515 [details]
image
Comment 2 Ken Frank 2008-04-01 21:07:00 UTC
Created attachment 59516 [details]
image
Comment 3 Ken Frank 2008-04-01 21:07:25 UTC
Created attachment 59517 [details]
image
Comment 4 Ken Frank 2008-04-01 21:07:44 UTC
Created attachment 59518 [details]
image
Comment 5 Quality Engineering 2008-07-22 13:47:52 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #336 build
Changeset: http://hg.netbeans.org/main/rev/fac098512995
User: Jaroslav Bachorik <yardus@netbeans.org>
Log: #131763 - fixing I18N problems in attach wizard
Comment 6 J Bachorik 2008-07-24 07:45:14 UTC
fixed
Comment 7 Ken Frank 2008-07-30 16:49:00 UTC
am using trunk of 0727 and dont see things being fixed as per original
gifs, also one or two other places where resize problems in attach wizard

will reopen but if fixes not might be in 0727, please mark as fixed
again and I will reverify soon with later build.

for example manual integration instructions have vertical scroll bar,
but window does not open enough to see that it does,
nor is the generate remote pack button label shown fully.

or select target type, if application or applet, the instructions below attach
method section - the last line is cut off horizontally.

its the tricky thing of resize about font size, string length and monitor size
but from what was told, if windows are constructed to use dynamic resizing
rather than fine tuning the size as to hardcoded values, then resizing will
just happen as needed.

please resolve again if the fix would not be in 0727 build.

ken.frank@sun.com



ken.frank@sun.com
Comment 8 Ken Frank 2008-08-14 18:24:59 UTC
still see the problems using 0810.

both on first panel of attach wizard
choose local and direct

and on manual integration panel of the Follow these instructions .. line as in gif

ken.frank@sun.com
Comment 9 J Bachorik 2008-08-25 14:33:56 UTC
Hopefully fixed in profiler-main (http://hg.netbeans.org/profiler-main/rev/cc056e8d5659)
I've re-done almost all attach wizard panels and tested them with font size of 24 to make sure even ridiculously large
fonts will be wrapped correctly. So far it seems to be rendered the way it should.
Comment 10 Quality Engineering 2008-09-01 17:28:39 UTC
Integrated into 'main-golden', available in build *200809011401* on http://bits.netbeans.org/dev/nightly/
Changeset: http://hg.netbeans.org/main/rev/cc056e8d5659
User: Jaroslav Bachorik <yardus@netbeans.org>
Log: #131763 - I18N - some attach wizard windows don't resize to show all contents
Comment 11 Ken Frank 2008-09-09 20:44:07 UTC
reopening since there is still one panel - the locate files panel
that does not show all things - the Domains label 
and all of the Manage button 
and in these cases, resizing does not even help anyway
(even though user should not need to do it)

and for the Domains label, looks like it is hardcoded
to be exact number of characters in just the english word.

see gif attached.

ken.frank@sun.com
Comment 12 Ken Frank 2008-09-09 20:44:38 UTC
reopening since there is still one panel - the locate files panel
that does not show all things - the Domains label 
and all of the Manage button 
and in these cases, resizing does not even help anyway
(even though user should not need to do it)

and for the Domains label, looks like it is hardcoded
to be exact number of characters in just the english word.

see gif attached.

ken.frank@sun.com
Comment 13 Ken Frank 2008-09-09 20:45:21 UTC
Created attachment 69452 [details]
image
Comment 14 Ken Frank 2008-09-09 20:46:04 UTC
Created attachment 69453 [details]
image
Comment 15 Ken Frank 2008-09-09 20:46:40 UTC
ignore the first attachment for this profattach.locate - use the profattach.locate.gif
instead.
Comment 16 J Bachorik 2008-09-10 08:55:29 UTC
Fixed the problem with fixed label size and incorrectly resizing button

http://hg.netbeans.org/profiler-main/rev/ea139b378d72
Comment 17 Quality Engineering 2008-09-12 17:28:10 UTC
Integrated into 'main-golden', will be available in build *200809121401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/ea139b378d72
User: Jaroslav Bachorik <yardus@netbeans.org>
Log: #131763 - fixing some resize issues
Comment 18 Ken Frank 2008-10-06 17:53:18 UTC
verifying as to the last item of locate files panel

however when no app server path is there, which is this case, the msg area under manage
platforms button does use a scrollbar but using 16pt font, only part of the first line of this
message shows, and might not be visible to user; the other 2 places in this panel where there is msg
with scrollbar shows just the first line of the msg -- its ok in general since sbar solves resize
problem but if sbar could be made bigger to show at least all of first line and perhaps 1st 2 lines of 
some msgs it could be clearer to user.

ken.frank@sun.com


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo